%define lib_name lib%name

Name: SDL_ttf
Version: 2.0.6
Release: alt3

Summary: Simple DirectMedia Layer - Sample TrueType Font Library
License: LGPL
Group: System/Libraries
Url: http://www.libsdl.org/projects/SDL_ttf
Source0: %name-%version.tar.gz
Patch0: SDL_ttf-2.0.6-freetype.patch

%define SDL_ver 1.2.5
# Automatically added by buildreq on Fri Oct 29 2004
BuildRequires: esound freetype2-devel glibc-devel-static libSDL-devel xorg-x11-devel xorg-x11-libs zlib-devel

BuildRequires: libSDL >= %SDL_ver

%description
This is a sample library which allows you to use TrueType fonts in your SDL
applications. It comes with an example program "showfont" which displays an
example string for a given TrueType font file.

Warning! TrueType font decoding is under patent, and software using this
library may be in violation of this patent. Use at your own risk! See
http://www.freetype.org/ for details.

%package -n %lib_name
Summary: Main library for %name
Group: System/Libraries
Requires: libSDL >= %SDL_ver

%description -n %lib_name
This package contains the library needed to run programs dynamically
linked with %name.

Warning! TrueType font decoding is under patent, and software using this
library may be in violation of this patent. Use at your own risk! See
http://www.freetype.org/ for details.

%package -n %lib_name-devel
Summary: Headers for developing programs that will use %name
Group: Development/C
Requires: %lib_name = %version-%release

%description -n %lib_name-devel
This package contains the headers that programmers will need to develop
applications which will use %name.

Warning! TrueType font decoding is under patent, and software using this
library may be in violation of this patent. Use at your own risk! See
http://www.freetype.org/ for details.

%package -n %lib_name-devel-static
Summary: Static libraries for developing programs that will use %name
Group: Development/C
Requires: %lib_name-devel = %version-%release

%description -n %lib_name-devel-static
This package contains the static libraries that programmers will need to develop
applications which will use %name.

Warning! TrueType font decoding is under patent, and software using this
library may be in violation of this patent. Use at your own risk! See
http://www.freetype.org/ for details.

%prep
%setup -q

%patch0 -p1

%build
%configure
%make_build

%install
%makeinstall

%post -n %lib_name -p /sbin/ldconfig
%postun -n %lib_name -p /sbin/ldconfig

%files -n %lib_name
%_libdir/*.so.*
%doc README

%files -n %lib_name-devel
%_libdir/*.so
%_includedir/SDL/*
%doc README CHANGES

%files -n %lib_name-devel-static
%_libdir/*.a

%changelog
* Fri Oct 29 2004 Anton Farygin <rider@altlinux.ru> 2.0.6-alt3
- build fix

* Fri Jul 02 2004 ALT QA Team Robot <qa-robot@altlinux.org> 2.0.6-alt2.1
- Rebuilt.

* Thu May 08 2003 Rider <rider@altlinux.ru> 2.0.6-alt1
- new version

* Mon Sep 23 2002 Rider <rider@altlinux.ru> 2.0.5-alt2
- rebuild (gcc 3.2)

* Fri Jun 07 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.0.5-alt1
- 2.0.5

* Thu May 23 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.4-alt2
- Rebuilt (wrong dependence on oldalsa fixed, SDL requires libalsa2) 
- Automatically added BuildRequires.
- specfile cleanups

* Sat Feb 09 2002 Rider <rider@altlinux.ru> 2.0.4-alt1
- 2.0.4

* Wed Apr 11 2001 Kostya Timoshenko <kt@altlinux.ru> 1.2.2-ipl3mdk
- Rebuild with SDL-1.2.0
- Moved static libraries to devel-static subpackage.

* Wed Mar 14 2001 Kostya Timoshenko <kt@petr.kz> 1.2.2-ipl2mdk
- Libification.

* Wed Dec 27 2000 Kostya Timoshenko <kt@petr.kz> 1.2.2-ipl1mdk
- Rebuild for RE

* Fri Dec  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.2-1mdk
- follow new lib policy
- 1.2.2

* Wed Aug 30 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.2.1-1mdk
- updated to version 1.2.1.
- updated URL.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-2mdk
- automatically added BuildRequires

* Fri Jun 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-1mdk
- v1.0.2

* Tue Apr 11 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-2mdk
- added url
- fixed group
- some minor package build fixes
- built against stable SDL version, previous was using 1.1.x devel

* Fri Feb 11 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used specfile provided by Hakan Tandogan <hakan@iconsult.com>

* Sun Jan 16 2000 Hakan Tandogan <hakan@iconsult.com>
- initial spec file
